RDDataManip Namespace Reference

## Classes

class | MetricMatrixCalc
| A generic metric matrix calculator (e.g similarity matrix or distance matrix) More...

## Functions

template<typename T1 , typename T2 >
double | EuclideanDistanceMetric (const T1 &v1, const T2 &v2, unsigned int dim)
| return the Euclidean distance between two vectors More...
template<typename T1 , typename T2 >
double | TanimotoDistanceMetric (const T1 &bv1, const T2 &bv2, unsigned int dim)
| return the Tanimoto distance (1-TanimotoSimilarity) between two bit vectors More...
template<typename T1 , typename T2 >
double | TanimotoSimilarityMetric (const T1 &bv1, const T2 &bv2, unsigned int dim)
| return the Tanimoto similarity between two bit vectors More...

## Function Documentation

template<typename T1 , typename T2 >

double RDDataManip::EuclideanDistanceMetric | ( | const T1 & | v1,
|  | const T2 & | v2,
|  | unsigned int | dim
| ) |  |

return the Euclidean distance between two vectors

Definition at line 18 of file MetricFuncs.h.

template<typename T1 , typename T2 >

double RDDataManip::TanimotoDistanceMetric | ( | const T1 & | bv1,
|  | const T2 & | bv2,
|  | unsigned int | dim
| ) |  |

return the Tanimoto distance (1-TanimotoSimilarity) between two bit vectors

Definition at line 32 of file MetricFuncs.h.

References SimilarityWrapper(), and TanimotoSimilarity().

template<typename T1 , typename T2 >

double RDDataManip::TanimotoSimilarityMetric | ( | const T1 & | bv1,
|  | const T2 & | bv2,
|  | unsigned int | dim
| ) |  |

return the Tanimoto similarity between two bit vectors

Definition at line 40 of file MetricFuncs.h.

References SimilarityWrapper(), and TanimotoSimilarity().